Please clarify Doc re: MySQL or MariaDB upgrade in WHM

ottdev

Well-Known Member
Oct 1, 2013
122
4
18
cPanel Access Level
Root Administrator
MySQL or MariaDB Upgrade - Documentation - cPanel Documentation

"Your cPanel & WHM server must run CentOS, CloudLinux™, or Red Hat® Enterprise Linux (RHEL) 6 or higher, or Amazon Linux, to upgrade the database server from MySQL to MariaDB. You cannot upgrade to MariaDB on a server that uses CentOS, CloudLinux, or RHEL 5"
This reads contradictory to me vis-a-vis CentOS and CloudLinux - have version numbers been left out?
MUST run CentOS ... to upgrade from MySQL to MariaDB
CANNOT upgrade to MariaDB on a server that uses CentOS
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,913
2,205
363
Hello @ottdev,

The version requirement applies to each OS listed before the the number 6 in this sentence:

"Your cPanel & WHM server must run CentOS, CloudLinux™, or Red Hat® Enterprise Linux (RHEL) 6 or higher, or Amazon Linux, to upgrade the database server from MySQL to MariaDB. You cannot upgrade to MariaDB on a server that uses CentOS, CloudLinux, or RHEL 5"
It's another way of stating CentOS 6 or higher, CloudLinux™ 6 or higher, Red Hat® Enterprise Linux (RHEL) 6 or higher.

Would you find it helpful to see this information displayed a different way, such as in a chart?

Thanks!
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,913
2,205
363
Hello @ottdev,

I've opened a case with our documentation to inquire about making a change to clarify the OS version requirements. I'll update this thread with the outcome as soon as more information is available.

Thank you.